// @ts-check
import { defineConfig } from "astro/config";
import fulldev from "fulldev-ui/integration";
import node from "@astrojs/node";
import UnoCSS from "unocss/astro";

// https://astro.build/config
export default defineConfig({
  // pre-render by default; opt-in to dynamic SSR:
  output: "hybrid",

  adapter: node({
    mode: "standalone",
  }),

  integrations: [
    UnoCSS({
      // injectReset: true, // or a path to the reset file
    }),
    fulldev({
      // css: '/src/css/custom.css',
      colors: {
        theme: "dark",
        dark: {
          background: "#111110",
          base: "#3E63DD",
          brand: "#359",
        },
        light: {
          background: "#EEEEEC",
          base: "#6F6D66",
          brand: "#3E63DD",
        },
      },
    }),
  ],
});
